Jump to content

Photo

Improved FOMOD screening in Vortex


  • Please log in to reply
8 replies to this topic

#1
rmm200

rmm200

    Faithful poster

  • Members
  • PipPipPipPip
  • 2,289 posts

I was just helping a user with a mod that used to install fine - but now fails with an installer error.

Under the fomod directory, info.xml and ModuleConfig.xml both specified UTF-16 in line 1. This is no longer valid.

Notepad++ with the XML syntax checker also flags it as invalid.

I had him replace UTF-16 with UTF-8 in both files. Vortex now installs it without issue.

 

This is just a heads-up. This syntax used to be the recommended one.



#2
AugustaCalidia

AugustaCalidia

    Mayor of Talos Plaza

  • Premium Member
  • 2,504 posts

What version of Vortex was being used when the installer error was detected?



#3
rmm200

rmm200

    Faithful poster

  • Members
  • PipPipPipPip
  • 2,289 posts

All recent ones... Mine updated today. Vortex 1.4.6



#4
Tannin42

Tannin42

    Faithful poster

  • Staff
  • PipPipPipPip
  • 2,488 posts

This is not a syntax error.

UTF-8 and UTF-16 are both supported by Vortex but that first line has to match the character encoding that you actually use when you save the game in the text editor.

In Notepad++ you can specify the encoding in the Encoding menu.

If you save the file with encoding utf-8, the first line has to say utf-8.

If you save the file with encoding utf-16, the first line has to say utf-16.



#5
rmm200

rmm200

    Faithful poster

  • Members
  • PipPipPipPip
  • 2,289 posts

The problem case I had was a mod last updated in 2018. The author has not been seen in over a year.

It installed without error as recently as three months ago.

It is significant because we may see more cases like this. Mod authors are not the most attentive to detail.



#6
Tannin42

Tannin42

    Faithful poster

  • Staff
  • PipPipPipPip
  • 2,488 posts

You're right, this will have to be fixed.



#7
rmm200

rmm200

    Faithful poster

  • Members
  • PipPipPipPip
  • 2,289 posts

Man I hate to come down on the side of relaxed error checking..

For the moment, for this particular mod - I posted a request for someone to fix the fomod.

I added your option of saving the XML in the correct format. With credit...



#8
Tannin42

Tannin42

    Faithful poster

  • Staff
  • PipPipPipPip
  • 2,488 posts

Afaik this is all solved now in 1.4.8, please let me know if there are still mods that fail to install (if they used to work of course)



#9
rmm200

rmm200

    Faithful poster

  • Members
  • PipPipPipPip
  • 2,289 posts

Thank you! Although I might favor a "Rigorous Checking" option in the UI...  Mod authors especially would like to know if their fomod is invalid.






IPB skins by Skinbox
Page loaded in: 0.917 seconds